Get Team Senders
curl --request GET \
--url https://api.lemlist.com/api/team/senders \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/team/senders"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/team/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/team/senders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/team/senders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"userId": "usr_QB6kKK1wv68DujOET",
"campaigns": [
{
"_id": "cam_tBpHORyt3WhTQoi5A",
"name": "Onboarding",
"status": "paused",
"sendingChannels": [
"email",
"manual",
"linkedinVisit"
]
},
{
"_id": "cam_O3BQOaXuyUuyqEHug",
"name": "Community Launch",
"status": "running",
"sendingChannels": [
"email",
"manual",
"linkedinVisit"
]
},
{
"_id": "cam_NTJ1rituEQ61jVl6p",
"name": "Email Warmup Test",
"status": "ended",
"sendingChannels": [
"email",
"manual",
"linkedinVisit"
]
},
{
"_id": "cam_1kESsVXFMzfrJImNc",
"name": "Product Launch Campaign",
"status": "draft",
"sendingChannels": [
"email",
"manual",
"linkedinVisit"
]
}
]
},
{
"userId": "usr_v5xz8De4nsLeNWAfv",
"campaigns": [
{
"_id": "cam_fDwCRnYtL1cfwcA7k",
"name": "WhatsApp Outreach",
"status": "draft",
"sendingChannels": [
"email",
"whatsappMessage"
]
},
{
"_id": "cam_WBCWNrsoMKkCWWLqw",
"name": "WhatsApp Test Campaign",
"status": "ended",
"sendingChannels": [
"email",
"whatsappMessage"
]
}
]
},
{
"userId": "usr_rhhX1KT0qgOGCOrgE",
"campaigns": [
{
"_id": "cam_pCi08vhGoho2oK3YR",
"name": "Networking",
"status": "running",
"sendingChannels": [
"email",
"linkedinSend",
"linkedinVisit",
"linkedinInvite"
]
},
{
"_id": "cam_zhcBovstiHVaV1abf",
"name": "Product Tools Campaign",
"status": "paused",
"sendingChannels": [
"email",
"linkedinSend",
"linkedinVisit",
"linkedinInvite"
]
}
]
}
]"Bad params (invalid state parameter)""The authentication you supplied is incorrect"Team
Get Team Senders
Retrieves a list of all team members and their associated campaigns.
GET
/
team
/
senders
Get Team Senders
This endpoint uses the User object.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Filter by campaign's state (running, paused, draft, ended, archived, errors)
Available options:
running, paused, draft, ended, archived, errors Was this page helpful?
⌘I